<?php
/**
 * Construction Firm: Customizer
 *
 * @subpackage Construction Firm
 * @since 1.0
 */

function construction_firm_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/assets/css/customizer.css');

	// fontawesome icon-picker

	load_template( trailingslashit( get_template_directory() ) . '/inc/icon-picker.php' );

	// Add custom control.
  	require get_parent_theme_file_path( 'inc/switch/control_switch.php' );

	require get_parent_theme_file_path( 'inc/custom-control.php' );

	//Register the sortable control type.
	$wp_customize->register_control_type( 'Construction_Firm_Control_Sortable' );

	// Add homepage customizer file
  	require get_template_directory() . '/inc/customizer-home-page.php';

	// pro section
 	$wp_customize->add_section('construction_firm_pro', array(
        'title'    => __('UPGRADE CONSTRUCTION PREMIUM', 'construction-firm'),
        'priority' => 1,
    ));
    $wp_customize->add_setting('construction_firm_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Construction_Firm_Pro_Control($wp_customize, 'construction_firm_pro', array(
        'label'    => __('CONSTRUCTION PREMIUM', 'construction-firm'),
        'section'  => 'construction_firm_pro',
        'settings' => 'construction_firm_pro',
        'priority' => 1,
    )));

    //Logo
    $wp_customize->add_setting('construction_firm_logo_max_height',array(
		'default'=> '100',
		'transport' => 'refresh',
		'sanitize_callback' => 'construction_firm_sanitize_integer'
	));
	$wp_customize->add_control(new Construction_Firm_Slider_Custom_Control( $wp_customize, 'construction_firm_logo_max_height',array(
		'label'	=> esc_html__('Logo Width','construction-firm'),
		'section'=> 'title_tagline',
		'settings'=>'construction_firm_logo_max_height',
		'input_attrs' => array(
			'reset' 		   => 100,
            'step'             => 1,
			'min'              => 0,
			'max'              => 250,
        ),
        'priority' => 9,
	)));
	$wp_customize->add_setting('construction_firm_logo_title',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_logo_title',
			array(
				'settings'        => 'construction_firm_logo_title',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Title', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('construction_firm_logo_text',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_logo_text',
			array(
				'settings'        => 'construction_firm_logo_text',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Tagline', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	//typography
    $wp_customize->add_section( 'construction_firm_typography_settings', array(
		'title'       => __( 'Typography Settings', 'construction-firm' ),
		'priority'       => 3,
	) );
	$font_choices = array(
		'' => 'Select',
		'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
		'Open Sans:400italic,700italic,400,700' => 'Open Sans',
		'Oswald:400,700' => 'Oswald',
		'Playfair Display:400,700,400italic' => 'Playfair Display',
		'Montserrat:400,700' => 'Montserrat',
		'Raleway:400,700' => 'Raleway',
		'Droid Sans:400,700' => 'Droid Sans',
		'Lato:400,700,400italic,700italic' => 'Lato',
		'Arvo:400,700,400italic,700italic' => 'Arvo',
		'Lora:400,700,400italic,700italic' => 'Lora',
		'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
		'Oxygen:400,300,700' => 'Oxygen',
		'PT Serif:400,700' => 'PT Serif',
		'PT Sans:400,700,400italic,700italic' => 'PT Sans',
		'PT Sans Narrow:400,700' => 'PT Sans Narrow',
		'Cabin:400,700,400italic' => 'Cabin',
		'Fjalla One:400' => 'Fjalla One',
		'Francois One:400' => 'Francois One',
		'Josefin Sans:400,300,600,700' => 'Josefin Sans',
		'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
		'Arimo:400,700,400italic,700italic' => 'Arimo',
		'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
		'Bitter:400,700,400italic' => 'Bitter',
		'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
		'Roboto:400,400italic,700,700italic' => 'Roboto',
		'Open Sans Condensed:700,300italic,300' => 'Open Sans Condensed',
		'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
		'Roboto Slab:400,700' => 'Roboto Slab',
		'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
		'Rokkitt:400' => 'Rokkitt',
	);
	$wp_customize->add_setting( 'construction_firm_section_typo_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_typo_heading', array(
		'label'       => esc_html__( 'Typography Settings', 'construction-firm' ),
		'section'     => 'construction_firm_typography_settings',
		'settings'    => 'construction_firm_section_typo_heading',
	) ) );
	$wp_customize->add_setting( 'construction_firm_headings_text', array(
		'sanitize_callback' => 'construction_firm_sanitize_fonts',
	));
	$wp_customize->add_control( 'construction_firm_headings_text', array(
		'type' => 'select',
		'description' => __('Select your suitable font for the headings.', 'construction-firm'),
		'section' => 'construction_firm_typography_settings',
		'choices' => $font_choices
	));
	$wp_customize->add_setting( 'construction_firm_body_text', array(
		'sanitize_callback' => 'construction_firm_sanitize_fonts'
	));
	$wp_customize->add_control( 'construction_firm_body_text', array(
		'type' => 'select',
		'description' => __( 'Select your suitable font for the body.', 'construction-firm' ),
		'section' => 'construction_firm_typography_settings',
		'choices' => $font_choices
	) );

    // Theme General Settings
    $wp_customize->add_section('construction_firm_theme_settings',array(
        'title' => __('Theme General Settings', 'construction-firm'),
        'priority' => 3,
    ) );
    $wp_customize->add_setting( 'construction_firm_section_sticky_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_sticky_heading', array(
		'label'       => esc_html__( 'Sticky Header Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_sticky_heading',
	) ) );
    $wp_customize->add_setting(
		'construction_firm_sticky_header',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_sticky_header',
			array(
				'settings'        => 'construction_firm_sticky_header',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Sticky Header', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'construction_firm_section_loader_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_loader_heading', array(
		'label'       => esc_html__( 'Loader Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_loader_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_theme_loader',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_theme_loader',
			array(
				'settings'        => 'construction_firm_theme_loader',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Site Loader', 'construction-firm' ),
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('construction_firm_loader_style',array(
        'default' => 'style_one',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_loader_style',array(
        'type' => 'select',
        'label' => __('Select Loader Design','construction-firm'),
        'section' => 'construction_firm_theme_settings',
        'choices' => array(
            'style_one' => __('Circle','construction-firm'),
            'style_two' => __('Bar','construction-firm'),
        ),
	) );
	
	$wp_customize->add_setting( 'construction_firm_section_width_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_width_heading', array(
		'label'       => esc_html__( 'Theme Width Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_width_heading',
	) ) );
	$wp_customize->add_setting('construction_firm_width_options',array(
        'default' => 'full_width',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_width_options',array(
        'type' => 'select',
        'label' => __('Theme Width Option','construction-firm'),
        'section' => 'construction_firm_theme_settings',
        'choices' => array(
            'full_width' => __('Fullwidth','construction-firm'),
            'Container' => __('Container','construction-firm'),
            'container_fluid' => __('Container Fluid','construction-firm'),
        ),
	) );
	$wp_customize->add_setting( 'construction_firm_section_menu_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_menu_heading', array(
		'label'       => esc_html__( 'Menu Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_menu_heading',
	) ) );
	$wp_customize->add_setting('construction_firm_menu_text_transform',array(
        'default' => 'CAPITALISE',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_menu_text_transform',array(
        'type' => 'select',
        'label' => __('Menus Text Transform','construction-firm'),
        'section' => 'construction_firm_theme_settings',
        'choices' => array(
            'CAPITALISE' => __('CAPITALISE','construction-firm'),
            'UPPERCASE' => __('UPPERCASE','construction-firm'),
            'LOWERCASE' => __('LOWERCASE','construction-firm'),
        ),
	) );
	$wp_customize->add_setting( 'construction_firm_section_scroll_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_scroll_heading', array(
		'label'       => esc_html__( 'Scroll Top Settings', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_scroll_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_scroll_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_scroll_enable',
			array(
				'settings'        => 'construction_firm_scroll_enable',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'Show Scroll Top', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'construction_firm_scroll_options',
		array(
			'default' => 'right_align',
			'transport' => 'refresh',
			'sanitize_callback' => 'construction_firm_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Construction_Firm_Text_Radio_Button_Custom_Control( $wp_customize, 'construction_firm_scroll_options',
		array(
			'type' => 'select',
			'label' => esc_html__( 'Scroll Top Alignment', 'construction-firm' ),
			'section' => 'construction_firm_theme_settings',
			'choices' => array(
				'left_align' => __('LEFT','construction-firm'),
				'center_align' => __('CENTER','construction-firm'),
				'right_align' => __('RIGHT','construction-firm'),
			)
		)
	) );
	$wp_customize->add_setting('construction_firm_scroll_top_icon',array(
		'default'	=> 'fas fa-chevron-up',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_scroll_top_icon',array(
		'label'	=> __('Add Scroll Top Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_theme_settings',
		'setting'	=> 'construction_firm_scroll_top_icon',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting( 'construction_firm_section_cursor_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_cursor_heading', array(
		'label'       => esc_html__( 'Cursor Setting', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_cursor_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_enable_custom_cursor',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_enable_custom_cursor',
			array(
				'settings'        => 'construction_firm_enable_custom_cursor',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'show custom cursor', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting( 'construction_firm_section_animation_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_animation_heading', array(
		'label'       => esc_html__( 'Animation Setting', 'construction-firm' ),
		'section'     => 'construction_firm_theme_settings',
		'settings'    => 'construction_firm_section_animation_heading',
	) ) );

	$wp_customize->add_setting(
		'construction_firm_animation_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_animation_enable',
			array(
				'settings'        => 'construction_firm_animation_enable',
				'section'         => 'construction_firm_theme_settings',
				'label'           => __( 'show/Hide Animation', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);

	// Post Layouts
	$wp_customize->add_panel( 'construction_firm_post_panel', array(
		'title' => esc_html__( 'Post Layout', 'construction-firm' ),
		'priority' => 4,
	));
    $wp_customize->add_section('construction_firm_layout',array(
        'title' => __('Single-Post Layout', 'construction-firm'),
        'panel' => 'construction_firm_post_panel',
    ) );
    $wp_customize->add_setting( 'construction_firm_section_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_post_heading', array(
		'label'       => esc_html__( 'Single Post Structure', 'construction-firm' ),
		'section'     => 'construction_firm_layout',
		'settings'    => 'construction_firm_section_post_heading',
	) ) );
	$wp_customize->add_setting( 'construction_firm_single_post_option',
		array(
			'default' => 'single_right_sidebar',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Construction_Firm_Radio_Image_Control( $wp_customize, 'construction_firm_single_post_option',
		array(
			'type'=>'select',
			'label' => __( 'select Single Post Page Layout', 'construction-firm' ),
			'section' => 'construction_firm_layout',
			'choices' => array(

				'single_right_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/2column.jpg',
					'name' => __( 'Right Sidebar', 'construction-firm' )
				),
				'single_left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/left.png',
					'name' => __( 'Left Sidebar', 'construction-firm' )
				),
				'single_full_width' => array(
					'image' => get_template_directory_uri().'/assets/images/1column.jpg',
					'name' => __( 'One Column', 'construction-firm' )
				),
			)
		)
	) );
	$wp_customize->add_setting('construction_firm_single_post_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_date',
			array(
				'settings'        => 'construction_firm_single_post_date',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Date', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_single_post_date', array(
		'selector' => '.date-box',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_single_post_date',
	) );
	$wp_customize->add_setting('construction_firm_single_date_icon',array(
		'default'	=> 'far fa-calendar-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_single_date_icon',array(
		'label'	=> __('date Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_layout',
		'setting'	=> 'construction_firm_single_date_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_single_post_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_admin',
			array(
				'settings'        => 'construction_firm_single_post_admin',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Author/Admin', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_single_post_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_single_post_admin',
	) );
	$wp_customize->add_setting('construction_firm_single_author_icon',array(
		'default'	=> 'fas fa-user',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_single_author_icon',array(
		'label'	=> __('Author Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_layout',
		'setting'	=> 'construction_firm_single_author_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_single_post_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_comment',
			array(
				'settings'        => 'construction_firm_single_post_comment',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Comment', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('construction_firm_single_comment_icon',array(
		'default'	=> 'fas fa-comments',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_single_comment_icon',array(
		'label'	=> __('comment Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_layout',
		'setting'	=> 'construction_firm_single_comment_icon',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting('construction_firm_single_post_tag_count',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_tag_count',
			array(
				'settings'        => 'construction_firm_single_post_tag_count',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show tag count', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('construction_firm_single_tag_icon',array(
		'default'	=> 'fas fa-tags',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_single_tag_icon',array(
		'label'	=> __('tag Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_layout',
		'setting'	=> 'construction_firm_single_tag_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_single_post_tag',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_post_tag',
			array(
				'settings'        => 'construction_firm_single_post_tag',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Tags', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_single_post_tag', array(
		'selector' => '.single-tags',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_single_post_tag',
	) );
	$wp_customize->add_setting('construction_firm_similar_post',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_similar_post',
			array(
				'settings'        => 'construction_firm_similar_post',
				'section'         => 'construction_firm_layout',
				'label'           => __( 'Show Similar post', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('construction_firm_similar_text',array(
		'default' => 'Explore More',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('construction_firm_similar_text',array(
		'label' => esc_html__('Similar Post Heading','construction-firm'),
		'section' => 'construction_firm_layout',
		'setting' => 'construction_firm_similar_text',
		'type'    => 'text'
	));
	$wp_customize->add_section('construction_firm_archieve_post_layot',array(
        'title' => __('Archieve-Post Layout', 'construction-firm'),
        'panel' => 'construction_firm_post_panel',
    ) );
	$wp_customize->add_setting( 'construction_firm_section_archive_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_archive_post_heading', array(
		'label'       => esc_html__( 'Archieve Post Structure', 'construction-firm' ),
		'section'     => 'construction_firm_archieve_post_layot',
		'settings'    => 'construction_firm_section_archive_post_heading',
	) ) );
    $wp_customize->add_setting( 'construction_firm_post_option',
		array(
			'default' => 'right_sidebar',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Construction_Firm_Radio_Image_Control( $wp_customize, 'construction_firm_post_option',
		array(
			'type'=>'select',
			'label' => __( 'select Post Page Layout', 'construction-firm' ),
			'section' => 'construction_firm_archieve_post_layot',
			'choices' => array(
				'right_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/2column.jpg',
					'name' => __( 'Right Sidebar', 'construction-firm' )
				),
				'left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/left.png',
					'name' => __( 'Left Sidebar', 'construction-firm' )
				),
				'one_column' => array(
					'image' => get_template_directory_uri().'/assets/images/1column.jpg',
					'name' => __( 'One Column', 'construction-firm' )
				),
				'three_column' => array(
					'image' => get_template_directory_uri().'/assets/images/3column.jpg',
					'name' => __( 'Three Column', 'construction-firm' )
				),
				'four_column' => array(
					'image' => get_template_directory_uri().'/assets/images/4column.jpg',
					'name' => __( 'Four Column', 'construction-firm' )
				),
				'grid_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/grid-sidebar.jpg',
					'name' => __( 'Grid-Right-Sidebar Layout', 'construction-firm' )
				),
				'grid_left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/grid-left.png',
					'name' => __( 'Grid-Left-Sidebar Layout', 'construction-firm' )
				),
				'grid_post' => array(
					'image' => get_template_directory_uri().'/assets/images/grid.jpg',
					'name' => __( 'Grid Layout', 'construction-firm' )
				)
			)
		)
	) );
	$wp_customize->add_setting( 'construction_firm_grid_column',
		array(
			'default' => '3_column',
			'transport' => 'refresh',
			'sanitize_callback' => 'construction_firm_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Construction_Firm_Text_Radio_Button_Custom_Control( $wp_customize, 'construction_firm_grid_column',
		array(
			'type' => 'select',
			'label' => esc_html__('Grid Post Per Row','construction-firm'),
			'section' => 'construction_firm_archieve_post_layot',
			'choices' => array(
				'1_column' => __('1','construction-firm'),
	            '2_column' => __('2','construction-firm'),
	            '3_column' => __('3','construction-firm'),
	            '4_column' => __('4','construction-firm'),
			)
		)
	) );
	$wp_customize->add_setting('archieve_post_order', array(
        'default' => array('title', 'image', 'meta','excerpt','btn'),
        'sanitize_callback' => 'construction_firm_sanitize_sortable',
    ));
    $wp_customize->add_control(new Construction_Firm_Control_Sortable($wp_customize, 'archieve_post_order', array(
    	'label' => esc_html__('Post Order', 'construction-firm'),
        'description' => __('Drag & Drop post items to re-arrange the order and also hide and show items as per the need by clicking on the eye icon.', 'construction-firm') ,
        'section' => 'construction_firm_archieve_post_layot',
        'choices' => array(
            'title' => __('title', 'construction-firm') ,
            'image' => __('media', 'construction-firm') ,
            'meta' => __('meta', 'construction-firm') ,
            'excerpt' => __('excerpt', 'construction-firm') ,
            'btn' => __('Read more', 'construction-firm') ,
        ) ,
    )));
	$wp_customize->add_setting('construction_firm_post_excerpt',array(
		'default'=> 30,
		'transport' => 'refresh',
		'sanitize_callback' => 'construction_firm_sanitize_integer'
	));
	$wp_customize->add_control(new Construction_Firm_Slider_Custom_Control( $wp_customize, 'construction_firm_post_excerpt',array(
		'label' => esc_html__( 'Excerpt Limit','construction-firm' ),
		'section'=> 'construction_firm_archieve_post_layot',
		'settings'=>'construction_firm_post_excerpt',
		'input_attrs' => array(
			'reset'			   => 30,
            'step'             => 1,
			'min'              => 0,
			'max'              => 100,
        ),
	)));
	$wp_customize->add_setting('construction_firm_read_more_text',array(
		'default' => 'Read More',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('construction_firm_read_more_text',array(
		'label' => esc_html__('Read More Text','construction-firm'),
		'section' => 'construction_firm_archieve_post_layot',
		'setting' => 'construction_firm_read_more_text',
		'type'    => 'text'
	));
	$wp_customize->add_setting('construction_firm_read_more_icon',array(
		'default'	=> 'fas fa-arrow-right',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_read_more_icon',array(
		'label'	=> __('Read More Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_archieve_post_layot',
		'setting'	=> 'construction_firm_read_more_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_date',
			array(
				'settings'        => 'construction_firm_date',
				'section'         => 'construction_firm_archieve_post_layot',
				'label'           => __( 'Show Date', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_date', array(
		'selector' => '.date-box',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_date',
	) );
	$wp_customize->add_setting('construction_firm_date_icon',array(
		'default'	=> 'far fa-calendar-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_date_icon',array(
		'label'	=> __('date Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_archieve_post_layot',
		'setting'	=> 'construction_firm_date_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_admin',
			array(
				'settings'        => 'construction_firm_admin',
				'section'         => 'construction_firm_archieve_post_layot',
				'label'           => __( 'Show Author/Admin', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_admin',
	) );
	$wp_customize->add_setting('construction_firm_author_icon',array(
		'default'	=> 'fas fa-user',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_author_icon',array(
		'label'	=> __('Author Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_archieve_post_layot',
		'setting'	=> 'construction_firm_author_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_comment',
			array(
				'settings'        => 'construction_firm_comment',
				'section'         => 'construction_firm_archieve_post_layot',
				'label'           => __( 'Show Comment', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_comment', array(
		'selector' => '.entry-comments',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_comment',
	) );
	$wp_customize->add_setting('construction_firm_comment_icon',array(
		'default'	=> 'fas fa-comments',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_comment_icon',array(
		'label'	=> __('comment Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_archieve_post_layot',
		'setting'	=> 'construction_firm_comment_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('construction_firm_tag',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_tag',
			array(
				'settings'        => 'construction_firm_tag',
				'section'         => 'construction_firm_archieve_post_layot',
				'label'           => __( 'Show tag count', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'construction_firm_tag', array(
		'selector' => '.tags',
		'render_callback' => 'construction_firm_customize_partial_construction_firm_tag',
	) );
	$wp_customize->add_setting('construction_firm_tag_icon',array(
		'default'	=> 'fas fa-tags',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Construction_Firm_Fontawesome_Icon_Chooser(
        $wp_customize,'construction_firm_tag_icon',array(
		'label'	=> __('tag Icon','construction-firm'),
		'transport' => 'refresh',
		'section'	=> 'construction_firm_archieve_post_layot',
		'setting'	=> 'construction_firm_tag_icon',
		'type'		=> 'icon'
	)));

	// header-image
	$wp_customize->add_setting( 'construction_firm_section_header_image_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_header_image_heading', array(
		'label'       => esc_html__( 'Header Image Settings', 'construction-firm' ),
		'section'     => 'header_image',
		'settings'    => 'construction_firm_section_header_image_heading',
		'priority'    =>'1',
	) ) );

	$wp_customize->add_setting('construction_firm_show_header_image',array(
        'default' => 'on',
        'sanitize_callback' => 'construction_firm_sanitize_choices'
	));
	$wp_customize->add_control('construction_firm_show_header_image',array(
        'type' => 'select',
        'label' => __('Select Option','construction-firm'),
        'section' => 'header_image',
        'choices' => array(
            'on' => __('With Header Image','construction-firm'),
            'off' => __('Without Header Image','construction-firm'),
        ),
	) );

	// breadcrumb
	$wp_customize->add_section('construction_firm_breadcrumb_settings',array(
        'title' => __('Breadcrumb Settings', 'construction-firm'),
        'priority' => 4
    ) );
	$wp_customize->add_setting( 'construction_firm_section_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_breadcrumb_heading', array(
		'label'       => esc_html__( ' Theme Breadcrumb Settings', 'construction-firm' ),
		'section'     => 'construction_firm_breadcrumb_settings',
		'settings'    => 'construction_firm_section_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_enable_breadcrumb',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_enable_breadcrumb',
			array(
				'settings'        => 'construction_firm_enable_breadcrumb',
				'section'         => 'construction_firm_breadcrumb_settings',
				'label'           => __( 'Show Breadcrumb', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('construction_firm_breadcrumb_separator', array(
        'default' => ' / ',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('construction_firm_breadcrumb_separator', array(
        'label' => __('Breadcrumb Separator', 'construction-firm'),
        'section' => 'construction_firm_breadcrumb_settings',
        'type' => 'text',
    ));
	$wp_customize->add_setting( 'construction_firm_single_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_single_breadcrumb_heading', array(
		'label'       => esc_html__( 'Single post & Page', 'construction-firm' ),
		'section'     => 'construction_firm_breadcrumb_settings',
		'settings'    => 'construction_firm_single_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_single_enable_breadcrumb',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_enable_breadcrumb',
			array(
				'settings'        => 'construction_firm_single_enable_breadcrumb',
				'section'         => 'construction_firm_breadcrumb_settings',
				'label'           => __( 'Show Breadcrumb', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	if ( class_exists( 'WooCommerce' ) ) { 
		$wp_customize->add_setting( 'construction_firm_woocommerce_breadcrumb_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_woocommerce_breadcrumb_heading', array(
			'label'       => esc_html__( 'Woocommerce Breadcrumb', 'construction-firm' ),
			'section'     => 'construction_firm_breadcrumb_settings',
			'settings'    => 'construction_firm_woocommerce_breadcrumb_heading',
		) ) );
		$wp_customize->add_setting(
			'construction_firm_woocommerce_enable_breadcrumb',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(
			new Construction_Firm_Customizer_Customcontrol_Switch(
				$wp_customize,
				'construction_firm_woocommerce_enable_breadcrumb',
				array(
					'settings'        => 'construction_firm_woocommerce_enable_breadcrumb',
					'section'         => 'construction_firm_breadcrumb_settings',
					'label'           => __( 'Show Breadcrumb', 'construction-firm' ),				
					'choices'		  => array(
						'1'      => __( 'On', 'construction-firm' ),
						'off'    => __( 'Off', 'construction-firm' ),
					),
					'active_callback' => '',
				)
			)
		);
		$wp_customize->add_setting('woocommerce_breadcrumb_separator', array(
	        'default' => ' / ',
	        'sanitize_callback' => 'sanitize_text_field',
	    ));
	    $wp_customize->add_control('woocommerce_breadcrumb_separator', array(
	        'label' => __('Breadcrumb Separator', 'construction-firm'),
	        'section' => 'construction_firm_breadcrumb_settings',
	        'type' => 'text',
	    ));
	}

	// woocommerce
	if ( class_exists( 'WooCommerce' ) ) { 
		$wp_customize->add_section('construction_firm_woocoomerce_setting',array(
	        'title' => __('WooCommerce Settings', 'construction-firm'),
	        'priority' => 4,
	    ) );
		$wp_customize->add_setting( 'construction_firm_section_shoppage_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_shoppage_heading', array(
			'label'       => esc_html__( 'Sidebar Settings', 'construction-firm' ),
			'section'     => 'construction_firm_woocoomerce_setting',
			'settings'    => 'construction_firm_section_shoppage_heading',
		) ) );
		$wp_customize->add_setting( 'construction_firm_shop_page_sidebar',
			array(
				'default' => 'right_sidebar',
				'transport' => 'refresh',
				'sanitize_callback' => 'sanitize_text_field'
			)
		);
		$wp_customize->add_control( new Construction_Firm_Radio_Image_Control( $wp_customize, 'construction_firm_shop_page_sidebar',
			array(
				'type'=>'select',
				'label' => __( 'Show Shop Page Sidebar', 'construction-firm' ),
				'section'     => 'construction_firm_woocoomerce_setting',
				'choices' => array(

					'right_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/2column.jpg',
						'name' => __( 'Right Sidebar', 'construction-firm' )
					),
					'left_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/left.png',
						'name' => __( 'Left Sidebar', 'construction-firm' )
					),
					'full_width' => array(
						'image' => get_template_directory_uri().'/assets/images/1column.jpg',
						'name' => __( 'Full Width', 'construction-firm' )
					),
				)
			)
		) );
		$wp_customize->add_setting( 'construction_firm_wocommerce_single_page_sidebar',
			array(
				'default' => 'right_sidebar',
				'transport' => 'refresh',
				'sanitize_callback' => 'sanitize_text_field'
			)
		);
		$wp_customize->add_control( new Construction_Firm_Radio_Image_Control( $wp_customize, 'construction_firm_wocommerce_single_page_sidebar',
			array(
				'type'=>'select',
				'label'           => __( 'Show Single Product Page Sidebar', 'construction-firm' ),
				'section'     => 'construction_firm_woocoomerce_setting',
				'choices' => array(

					'right_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/2column.jpg',
						'name' => __( 'Right Sidebar', 'construction-firm' )
					),
					'left_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/left.png',
						'name' => __( 'Left Sidebar', 'construction-firm' )
					),
					'full_width' => array(
						'image' => get_template_directory_uri().'/assets/images/1column.jpg',
						'name' => __( 'Full Width', 'construction-firm' )
					),
				)
			)
		) );
		$wp_customize->add_setting( 'construction_firm_section_archieve_product_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_archieve_product_heading', array(
			'label'       => esc_html__( 'Archieve Product Settings', 'construction-firm' ),
			'section'     => 'construction_firm_woocoomerce_setting',
			'settings'    => 'construction_firm_section_archieve_product_heading',
		) ) );
		$wp_customize->add_setting('construction_firm_archieve_item_columns',array(
	        'default' => '3',
	        'sanitize_callback' => 'construction_firm_sanitize_choices'
		));
		$wp_customize->add_control('construction_firm_archieve_item_columns',array(
	        'type' => 'select',
	        'label' => __('Select No of Columns','construction-firm'),
	        'section' => 'construction_firm_woocoomerce_setting',
	        'choices' => array(
	            '1' => __('One Column','construction-firm'),
	            '2' => __('Two Column','construction-firm'),
	            '3' => __('Three Column','construction-firm'),
	            '4' => __('four Column','construction-firm'),
	            '5' => __('Five Column','construction-firm'),
	            '6' => __('Six Column','construction-firm'),
	        ),
		) );
		$wp_customize->add_setting( 'construction_firm_archieve_shop_perpage', array(
			'default'              => 6,
			'type'                 => 'theme_mod',
			'transport' 		   => 'refresh',
			'sanitize_callback'    => 'construction_firm_sanitize_number_absint',
			'sanitize_js_callback' => 'absint',
		) );
		$wp_customize->add_control( 'construction_firm_archieve_shop_perpage', array(
			'label'       => esc_html__( 'Display Products','construction-firm' ),
			'section'     => 'construction_firm_woocoomerce_setting',
			'type'        => 'number',
			'input_attrs' => array(
				'step'             => 1,
				'min'              => 0,
				'max'              => 30,
			),
		) );
		$wp_customize->add_setting( 'construction_firm_section_related_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_related_heading', array(
			'label'       => esc_html__( 'Related Product Settings', 'construction-firm' ),
			'section'     => 'construction_firm_woocoomerce_setting',
			'settings'    => 'construction_firm_section_related_heading',
		) ) );
		$wp_customize->add_setting('woocommerce_related_products_heading', array(
	        'default' => 'Related products',
	        'sanitize_callback' => 'sanitize_text_field',
	    ));
	    $wp_customize->add_control('woocommerce_related_products_heading', array(
	        'label' => __('Related Products Heading', 'construction-firm'),
	        'section' => 'construction_firm_woocoomerce_setting',
	        'type' => 'text',
	    ));
		$wp_customize->add_setting('construction_firm_related_item_columns',array(
	        'default' => '3',
	        'sanitize_callback' => 'construction_firm_sanitize_choices'
		));
		$wp_customize->add_control('construction_firm_related_item_columns',array(
	        'type' => 'select',
	        'label' => __('Select Related item Columns','construction-firm'),
	        'section' => 'construction_firm_woocoomerce_setting',
	        'choices' => array(
	            '1' => __('One Column','construction-firm'),
	            '2' => __('Two Column','construction-firm'),
	            '3' => __('Three Column','construction-firm'),
	        ),
		) );
		$wp_customize->add_setting( 'construction_firm_related_shop_perpage', array(
			'default'              => 3,
			'type'                 => 'theme_mod',
			'transport' 		   => 'refresh',
			'sanitize_callback'    => 'construction_firm_sanitize_number_absint',
			'sanitize_js_callback' => 'absint',
		) );
		$wp_customize->add_control( 'construction_firm_related_shop_perpage', array(
			'label'       => esc_html__( 'Display Item','construction-firm' ),
			'section'     => 'construction_firm_woocoomerce_setting',
			'type'        => 'number',
			'input_attrs' => array(
				'step'             => 1,
				'min'              => 0,
				'max'              => 10,
			),
		) );
		$wp_customize->add_setting(
			'construction_firm_related_product',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(
			new Construction_Firm_Customizer_Customcontrol_Switch(
				$wp_customize,
				'construction_firm_related_product',
				array(
					'settings'        => 'construction_firm_related_product',
					'section'         => 'construction_firm_woocoomerce_setting',
					'label'           => __( 'Show Related Products', 'construction-firm' ),				
					'choices'		  => array(
						'1'      => __( 'On', 'construction-firm' ),
						'off'    => __( 'Off', 'construction-firm' ),
					),
					'active_callback' => '',
				)
			)
		);
	}
    
	// mobile width
	$wp_customize->add_section('construction_firm_mobile_options',array(
        'title' => __('Mobile Media settings', 'construction-firm'),
        'priority' => 4,
    ) );
    $wp_customize->add_setting( 'construction_firm_section_mobile_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_mobile_heading', array(
		'label'       => esc_html__( 'Mobile Media settings', 'construction-firm' ),
		'section'     => 'construction_firm_mobile_options',
		'settings'    => 'construction_firm_section_mobile_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_slider_button_mobile_show_hide',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_slider_button_mobile_show_hide',
			array(
				'settings'        => 'construction_firm_slider_button_mobile_show_hide',
				'section'         => 'construction_firm_mobile_options',
				'label'           => __( 'Show Slider Button', 'construction-firm' ),
				'description' => __('Control wont function if the button is off in the main slider settings.', 'construction-firm') ,				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting(
		'construction_firm_scroll_enable_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_scroll_enable_mobile',
			array(
				'settings'        => 'construction_firm_scroll_enable_mobile',
				'section'         => 'construction_firm_mobile_options',
				'label'           => __( 'Show Scroll Top', 'construction-firm' ),
				'description' => __('Control wont function if scroll-top is off in the main settings.', 'construction-firm') ,					
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'construction_firm_section_mobile_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Construction_Firm_Customizer_Customcontrol_Section_Heading( $wp_customize, 'construction_firm_section_mobile_breadcrumb_heading', array(
		'label'       => esc_html__( 'Mobile Breadcrumb settings', 'construction-firm' ),
		'description' => __('Controls wont function if the breadcrumb is off in the main breadcrumb settings.', 'construction-firm') ,
		'section'     => 'construction_firm_mobile_options',
		'settings'    => 'construction_firm_section_mobile_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'construction_firm_enable_breadcrumb_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_enable_breadcrumb_mobile',
			array(
				'settings'        => 'construction_firm_enable_breadcrumb_mobile',
				'section'         => 'construction_firm_mobile_options',
				'label'           => __( 'Theme Breadcrumb', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting(
		'construction_firm_single_enable_breadcrumb_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Construction_Firm_Customizer_Customcontrol_Switch(
			$wp_customize,
			'construction_firm_single_enable_breadcrumb_mobile',
			array(
				'settings'        => 'construction_firm_single_enable_breadcrumb_mobile',
				'section'         => 'construction_firm_mobile_options',
				'label'           => __( 'Single Post & Page', 'construction-firm' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'construction-firm' ),
					'off'    => __( 'Off', 'construction-firm' ),
				),
				'active_callback' => '',
			)
		)
	);
	if ( class_exists( 'WooCommerce' ) ) {
		$wp_customize->add_setting(
			'construction_firm_woocommerce_enable_breadcrumb_mobile',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'construction_firm_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(
			new Construction_Firm_Customizer_Customcontrol_Switch(
				$wp_customize,
				'construction_firm_woocommerce_enable_breadcrumb_mobile',
				array(
					'settings'        => 'construction_firm_woocommerce_enable_breadcrumb_mobile',
					'section'         => 'construction_firm_mobile_options',
					'label'           => __( 'wooCommerce Breadcrumb', 'construction-firm' ),				
					'choices'		  => array(
						'1'      => __( 'On', 'construction-firm' ),
						'off'    => __( 'Off', 'construction-firm' ),
					),
					'active_callback' => '',
				)
			)
		);
	}

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'construction_firm_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'construction_firm_customize_partial_blogdescription',
	) );

	//front page
	$num_sections = apply_filters( 'construction_firm_front_page_sections', 4 );

	// Create a setting and control for each of the sections available in the theme.
	for ( $construction_firm_i = 1; $construction_firm_i < ( 1 + $num_sections ); $construction_firm_i++ ) {
		$wp_customize->add_setting( 'panel_' . $construction_firm_i, array(
			'default'           => false,
			'sanitize_callback' => 'construction_firm_sanitize_dropdown_pages',
			'transport'         => 'postMessage',
		) );

		$wp_customize->add_control( 'panel_' . $construction_firm_i, array(
			/* translators: %d is the front page section number */
			'label'          => sprintf( __( 'Front Page Section %d Content', 'construction-firm' ), $construction_firm_i ),
			'description'    => ( 1 !== $construction_firm_i ? '' : __( 'Select pages to feature in each area from the dropdowns. Add an image to a section by setting a featured image in the page editor. Empty sections will not be displayed.', 'construction-firm' ) ),
			'section'        => 'theme_options',
			'type'           => 'dropdown-pages',
			'allow_addition' => true,
			'active_callback' => 'construction_firm_is_static_front_page',
		) );

		$wp_customize->selective_refresh->add_partial( 'panel_' . $construction_firm_i, array(
			'selector'            => '#panel' . $construction_firm_i,
			'render_callback'     => 'construction_firm_front_page_section',
			'container_inclusive' => true,
		) );
	}
}
add_action( 'customize_register', 'construction_firm_customize_register' );

function construction_firm_customize_partial_blogname() {
	bloginfo( 'name' );
}
function construction_firm_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
function construction_firm_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}
function construction_firm_is_view_with_layout_option() {
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

define('CONSTRUCTION_FIRM_PRO_LINK',__('https://www.ovationthemes.com/wordpress/construction-wordpress-theme/','construction-firm'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Construction_Firm_Pro_Control')):
    class Construction_Firm_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md-2 col-sm-6 upsell-btn">
                <a href="<?php echo esc_url( CONSTRUCTION_FIRM_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE CONSTRUCTION PREMIUM','construction-firm');?> </a>
	        </div>
            <div class="col-md-4 col-sm-6">
                <img class="construction_firm_img_responsive " src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">

            </div>
	        <div class="col-md-3 col-sm-6">
	            <h3 style="margin-top:10px; margin-left: 20px; text-decoration:underline; color:#333;"><?php esc_html_e('CONSTRUCTION PREMIUM - Features', 'construction-firm'); ?></h3>
                <ul style="padding-top:10px">
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'construction-firm');?> </li>
                    <li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'construction-firm');?> </li>
                   	<li class="upsell-construction_firm"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'construction-firm');?> </li>
                </ul>
        	</div>
		    <div class="col-md-2 col-sm-6 upsell-btn upsell-btn-bottom">
	            <a href="<?php echo esc_url( CONSTRUCTION_FIRM_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE CONSTRUCTION PREMIUM','construction-firm');?> </a>
		    </div>
			<p><?php printf(__('Please review us if you love our product on %1$sWordPress.org%2$s. </br></br>  Thank You', 'construction-firm'), '<a target="blank" href="https://wordpress.org/support/theme/construction-firm/reviews/">', '</a>');
            ?></p>
        </label>
    <?php } }
endif;

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */

final class construction_firm_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}


/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );
	}

// icons
/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	 public function enqueue_control_scripts() {

		wp_enqueue_style('construction-firm-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css');

		wp_localize_script(
		'construction-firm-customize-controls',
		'construction_firm_customizer_params',
		array(
			'ajaxurl' =>	admin_url( 'admin-ajax.php' )
		));
	}


}